Index: /main/trunk/gli/classes/dictionary.properties
===================================================================
--- /main/trunk/gli/classes/dictionary.properties	(revision 24293)
+++ /main/trunk/gli/classes/dictionary.properties	(revision 24294)
@@ -889,4 +889,7 @@
 NoEncodingSupport.Message:Your locale seems to be in UTF-8. Non-UTF-8 filenames are not supported by your setup.
 NoEncodingSupport.Title:No Filename Encoding Support
+#******** Non-standard collect home *******
+NonStandardCollectHome.Message:Your current collect home {0} is located outside of your Greenstone installation and is not its default collect directory at {1}. To work with the collect directory of your choice, go to File > Preferences > Connection and set the Collect Directory field to a folder.
+NonStandardCollectHome.Title:Non-standard collect home
 #*****************************
 #
Index: /main/trunk/gli/classes/xml/config.xml
===================================================================
--- /main/trunk/gli/classes/xml/config.xml	(revision 24293)
+++ /main/trunk/gli/classes/xml/config.xml	(revision 24294)
@@ -110,4 +110,5 @@
     <Argument name="warning.MissingPERL">true</Argument>
     <Argument name="warning.NoEncodingSupport">true</Argument>
+    <Argument name="warning.NonStandardCollectHome">true</Argument>
     <Argument name="warning.NoPluginExpectedToProcessFile">true</Argument>
     <Argument name="warning.LegacyCollection">true</Argument>
Index: /main/trunk/gli/src/org/greenstone/gatherer/Gatherer.java
===================================================================
--- /main/trunk/gli/src/org/greenstone/gatherer/Gatherer.java	(revision 24293)
+++ /main/trunk/gli/src/org/greenstone/gatherer/Gatherer.java	(revision 24294)
@@ -326,5 +326,5 @@
 			}
 			
-			initCollectDirectoryPath(open_collection); 
+			initCollectDirectoryPath(); 
 			
 			if (no_load || (isGsdlRemote && open_collection_file_path.equals(""))) {
@@ -649,5 +649,5 @@
 		if (open_collection_file_path == null || new File(Gatherer.open_collection_file_path).isDirectory()) {
 			
-			//the menu bar items, file and edit, are disabled from the moment of their creation. if there is no left-over collection from the last session, enable them; otherwise it is untill the collection finishes loading, will they be enabled in collectionManager.java
+			//the menu bar items, file and edit, are disabled from the moment of their creation. if there is no left-over collection from the last session, enable them; otherwise it's disabled until the collection finishes loading. They will be enabled in collectionManager.java
 			setMenuBarEnabled(true);
 		} else {
@@ -826,5 +826,5 @@
 
 
-	public static void initCollectDirectoryPath(String open_collection) {		
+	public static void initCollectDirectoryPath() {		
 		String defaultColdir = getDefaultGSCollectDirectoryPath(false); // no file separator at end
 		String coldir = defaultColdir;
@@ -832,9 +832,12 @@
 		// need to open the non-standard collect folder that the collection resides in
 		if (!isGsdlRemote 
-				&& !open_collection_file_path.startsWith(defaultColdir))
-		{
+		    && !open_collection_file_path.startsWith(defaultColdir))
+		{  
 			File collectFolder = null;
 			
-			if(!open_collection_file_path.equals("")) {			
+			if(!open_collection_file_path.equals("")) {
+			    // Inform the user that their collecthome is non-standard (not inside GS installation)
+			    nonStandardCollectHomeMessage(open_collection_file_path, defaultColdir); // display message
+
 				if(!open_collection_file_path.endsWith("gli.col")) { // then it's a collect folder
 					collectFolder = new File(open_collection_file_path);
@@ -874,5 +877,5 @@
 			if(coldir.equals(defaultColdir)) {				
 				gsdlsite_collecthome = Utility.updatePropertyConfigFile(
-				gsdlsitecfg, "collecthome", null);						
+				gsdlsitecfg, "collecthome", null);
 			} else {
 				gsdlsite_collecthome = Utility.updatePropertyConfigFile(
@@ -965,5 +968,5 @@
 			// cursor now the custom actionPerformed() processing is complete, regardless
 			// of whether the processing method terminates normally or throws an exception
-			// and regardedless of where in the call stack the exception is caught.			
+			// and regardless of where in the call stack the exception is caught.			
 			
 			timer.cancel();
@@ -1303,4 +1306,12 @@
 	}
 
+    /** Prints a message informing the user that their collecthome is non-standard (not inside GS installation) */
+    static private void nonStandardCollectHomeMessage(String open_collection_file_path, String defaultColDir) {
+	WarningDialog dialog = new WarningDialog("warning.NonStandardCollectHome", Dictionary.get("NonStandardCollectHome.Title"), Dictionary.get("NonStandardCollectHome.Message", new String[]{open_collection_file_path, defaultColDir}), null, false);
+		dialog.display();
+		dialog.dispose();
+		dialog = null;
+	}
+
 	/** Prints a warning message about the OS not supporting multiple filename encodings.  */
 	static private void multipleFilenameEncodingsNotSupported() {	