Index: /main/trunk/greenstone2/bin/script/mkcol.pl
===================================================================
--- /main/trunk/greenstone2/bin/script/mkcol.pl	(revision 24296)
+++ /main/trunk/greenstone2/bin/script/mkcol.pl	(revision 24297)
@@ -353,5 +353,5 @@
     # load default plugins if none were on command line
     if (!scalar(@plugin)) {
-	@plugin = (ZIPPlugin,GreenstoneXMLPlugin,TextPlugin,HTMLPlugin,EmailPlugin,
+	@plugin = (ZIPPlugin,GreenstoneXMLPlugin,EmbeddedMetadataPlugin,TextPlugin,HTMLPlugin,EmailPlugin,
 		   PDFPlugin,RTFPlugin,WordPlugin,PostScriptPlugin,PowerPointPlugin,ExcelPlugin,ImagePlugin,ISISPlugin,NulPlugin,MetadataXMLPlugin,ArchivesInfPlugin,DirectoryPlugin);
     }
Index: /main/trunk/greenstone2/build-src/packages/Makefile
===================================================================
--- /main/trunk/greenstone2/build-src/packages/Makefile	(revision 24296)
+++ /main/trunk/greenstone2/build-src/packages/Makefile	(revision 24297)
@@ -32,5 +32,5 @@
 PACKAGEDIRS = 
 
-USE_WVWARE=0
+USE_WVWARE=1
 ifeq ($(USE_WVWARE), 1)
 PACKAGEDIRS += wv/wv-gs 
Index: /main/trunk/greenstone2/collect/demo/etc/collect.cfg
===================================================================
--- /main/trunk/greenstone2/collect/demo/etc/collect.cfg	(revision 24296)
+++ /main/trunk/greenstone2/collect/demo/etc/collect.cfg	(revision 24297)
@@ -15,6 +15,6 @@
 # following two plugins not needed for the demo collection, but are useful to
 # include for tutorial purposes
-plugin  ImagePlugin
-plugin  ZIPPlugin
+plugin	ImagePlugin
+plugin	ZIPPlugin
 plugin	MetadataXMLPlugin
 plugin	ArchivesInfPlugin
@@ -25,5 +25,5 @@
 classify	Hierarchy -metadata dls.Subject -sort dls.Title
 
-classify	List -sort_leaf_nodes_using dls.Title -metadata dls.Organization -bookshelf_type always -partition_type_within_level constant_size
+classify	List -metadata dls.Organization -sort_leaf_nodes_using dls.Title -bookshelf_type always -partition_type_within_level constant_size
 
 classify	List -metadata dls.Keyword -partition_type_within_level constant_size -buttonname Howto
Index: /main/trunk/greenstone2/collect/modelcol/etc/collect.cfg
===================================================================
--- /main/trunk/greenstone2/collect/modelcol/etc/collect.cfg	(revision 24296)
+++ /main/trunk/greenstone2/collect/modelcol/etc/collect.cfg	(revision 24297)
@@ -6,5 +6,5 @@
 infodbtype	**infodbtype**
 
-indexes		text dc.Title,ex.Title ex.Source
+indexes		text dc.Title,ex.dc.Title,ex.Title ex.Source
 defaultindex	text
 
@@ -20,5 +20,5 @@
 collectionmeta collectionextra   "**about**"
 collectionmeta  .text "_labeltext_"
-collectionmeta	.dc.Title,Title "_labelTitle_"
+collectionmeta	.dc.Title,ex.dc.Title,ex.Title "_labelTitle_"
 collectionmeta	.Source "_labelSource_"
 collectionmeta .document "_textdocument_"
Index: /main/trunk/greenstone2/etc/main.cfg
===================================================================
--- /main/trunk/greenstone2/etc/main.cfg	(revision 24296)
+++ /main/trunk/greenstone2/etc/main.cfg	(revision 24297)
@@ -23,5 +23,6 @@
 # Set status to "enabled" if you want the Maintenance and
 # Administration facility to be available.
-status  	disabled
+#status  	disabled
+status  	enabled
 
 # Set collector to "enabled" if you want the "collector"
Index: /main/trunk/greenstone2/etc/oai.cfg
===================================================================
--- /main/trunk/greenstone2/etc/oai.cfg	(revision 24296)
+++ /main/trunk/greenstone2/etc/oai.cfg	(revision 24297)
@@ -42,10 +42,12 @@
 
 # The OAI repository name - human readable
-repositoryName ""
+#repositoryName ""
+repositoryName "Greenstone"
 
 # The OAI repository domain name or unique identifier - used for generating 
 # the document identifiers, which will be like:
 # oai:reposId:coll:oid
-repositoryId ""
+#repositoryId ""
+repositoryId "greenstone"
 
 # version is which oai id scheme is used for ids. Can be 1.1 or 2.0.
@@ -75,5 +77,5 @@
 # and this is followed by one or more collection names. The collection name 
 # is the name of the collection's folder in the collect directory.
-oaicollection demo documented-examples/oai-e 
+oaicollection demo documented-examples/oai-e oaipdf
 
 # Optional, set name and description for each collection
Index: /main/trunk/greenstone2/gsicontrol.bat
===================================================================
--- /main/trunk/greenstone2/gsicontrol.bat	(revision 24296)
+++ /main/trunk/greenstone2/gsicontrol.bat	(revision 24297)
@@ -178,12 +178,19 @@
 :: reset-gsdlhome forces configure-cgi by renaming any 
 :: existing gsdlsite.cfg and by deleting Mac .app files
+:: However, we only relocate if there is a gsdlsite.cfg file with its gsdlhome 
+:: property the same as the current (greenstone installation) directory
 :resethome
 echo.
-if exist "%GSDLHOME%\%cgibin%\gsdlsite.cfg" (
-	move "%GSDLHOME%\%cgibin%\gsdlsite.cfg" "%GSDLHOME%\%cgibin%\gsdlsite.cfg.bak"	
-	echo **** Regenerating %GSDLHOME%\%cgibin%\gsdlsite.cfg
-	echo **** Previous version of file now %GSDLHOME%\%cgibin%\gsdlsite.cfg.bak
-)
-
+if not exist "%GSDLHOME%\%cgibin%\gsdlsite.cfg" goto relocate
+
+FOR /F "tokens=2" %%G IN ('findstr /R ^gsdlhome "%cgibin%\gsdlsite.cfg"') do set gshome=%%G
+if "x%gshome%" == "x%GSDLHOME%" set gshome=& goto exit
+  
+move "%GSDLHOME%\%cgibin%\gsdlsite.cfg" "%GSDLHOME%\%cgibin%\gsdlsite.cfg.bak"
+echo **** Regenerating %GSDLHOME%\%cgibin%\gsdlsite.cfg
+echo **** Previous version of file now %GSDLHOME%\%cgibin%\gsdlsite.cfg.bak
+set gshome=
+
+:relocate
 for /F "delims=*" %%T in ('"echo %GSDLHOME%| %_sed% s@\\@\/@g"') do set safepath=%%T
 
@@ -214,8 +221,4 @@
 %_sed% "s@\*\*GSDLHOME\*\*@\"%safepath%\"@g" "%cgibin%\gsdlsite.cfg.in" >> "%cgibin%\gsdlsite.cfg"
 set safepath=
-
-if exist "%cgibin%\gsdlsite.cfg.bak" FOR /F "tokens=2" %%G IN ('findstr /R ^collecthome "%cgibin%\gsdlsite.cfg.bak"') do set colhome=%%G
-if not "%colhome%" == "" echo collecthome %colhome% >> "%cgibin%\gsdlsite.cfg"& echo. >> "%cgibin%\gsdlsite.cfg"
-set colhome=
 
 goto cgifin
Index: /main/trunk/greenstone2/gsicontrol.sh
===================================================================
--- /main/trunk/greenstone2/gsicontrol.sh	(revision 24296)
+++ /main/trunk/greenstone2/gsicontrol.sh	(revision 24297)
@@ -41,12 +41,4 @@
 	echo "" >> "$cgibin/gsdlsite.cfg" ;
 	sed "s@\*\*GSDLHOME\*\*@$GSDLHOME@g" "$cgibin/gsdlsite.cfg.in" >> "$cgibin/gsdlsite.cfg" ;
-# preserve the user-assigned collecthome property, if any
-	if test -e "$GSDLHOME/$cgibin/gsdlsite.cfg.bak" ; then
-	    collecthome=`egrep "^collecthome" "$cgibin/gsdlsite.cfg.bak" | awk '{print $2}'` ;
-	    if test -n $collecthome ; then
-		echo "collecthome $collecthome" >> "$cgibin/gsdlsite.cfg" ;
-		echo "" >> "$cgibin/gsdlsite.cfg" ;
-	    fi
-	fi
     else
 	echo "WARNING: Nothing done for make configure-cgi." ;
@@ -175,20 +167,30 @@
 }
 
-# forces configure-cgi by deleting gsdlsite.cfg
+# Forces configure-cgi by renaming gsdlsite.cfg
+# but only if we actually *need* to relocate gsdlhome.
+# We relocate at all times, except when there is a gsdlsite.cfg file with its
+# gsdlhome property the same as the current (greenstone installation) directory
 function reset-gsdlhome {
     echo "" ;
+    relocate=yes ;
     if test -e "$GSDLHOME/$cgibin/gsdlsite.cfg" ; then
-	/bin/mv "$GSDLHOME/$cgibin/gsdlsite.cfg" "$GSDLHOME/$cgibin/gsdlsite.cfg.bak" ;
-	echo "**** Regenerating $GSDLHOME/$cgibin/gsdlsite.cfg" ;
-	echo "**** Previous version of file now $GSDLHOME/$cgibin/gsdlsite.cfg.bak" ;
-    fi
-
-    apache_home_os="$GSDLHOME/apache-httpd/$GSDLOS$GSDLARCH"
-
-    if test ! -e "$apache_home_os/bin/apachectl.in" ; then
-	make apache-for-dist
-    fi
+	stored_gsdlhome=`egrep "^gsdlhome" "$cgibin/gsdlsite.cfg" | awk '{print $2}'` ;
+	if [ "x$stored_gsdlhome" != "x$GSDLHOME" ]; then
+	    /bin/mv "$GSDLHOME/$cgibin/gsdlsite.cfg" "$GSDLHOME/$cgibin/gsdlsite.cfg.bak" ;
+	    echo "**** Regenerating $GSDLHOME/$cgibin/gsdlsite.cfg" ;
+	    echo "**** Previous version of file now $GSDLHOME/$cgibin/gsdlsite.cfg.bak" ;
+	else
+	    relocate=
+	fi
+    fi	
     
-    replace_list="conf/extra/httpd-dav.conf \
+    if [ "x$relocate" = "xyes" ]; then
+	apache_home_os="$GSDLHOME/apache-httpd/$GSDLOS$GSDLARCH"
+	
+	if test ! -e "$apache_home_os/bin/apachectl.in" ; then
+	    make apache-for-dist
+	fi
+	
+	replace_list="conf/extra/httpd-dav.conf \
 	        conf/extra/httpd-manual.conf \
 	        conf/extra/httpd-autoindex.conf \
@@ -218,32 +220,33 @@
 	        include/ap_config_layout.h"
 
-    for one_file in apachectl envvars envvars-std ; do 
-	/bin/cp "$apache_home_os/bin/$one_file.in" "$apache_home_os/bin/$one_file"
-    done 
-    
-    for one_file in $replace_list ; do 
-	/bin/cp "$apache_home_os/$one_file.in" "$apache_home_os/$one_file"
-    done
-    
-    /bin/cp "$apache_home_os/bin/apr-1-config.in" "$apache_home_os/bin/apr-1-config"
-    
-    /bin/cp "$apache_home_os/bin/apu-1-config.in" "$apache_home_os/bin/apu-1-config"
-    
-    /bin/cp "$apache_home_os/build/config_vars.mk.in" "$apache_home_os/build/config_vars.mk"
-
+	for one_file in apachectl envvars envvars-std ; do 
+	    /bin/cp "$apache_home_os/bin/$one_file.in" "$apache_home_os/bin/$one_file"
+	done 
+	
+	for one_file in $replace_list ; do 
+	    /bin/cp "$apache_home_os/$one_file.in" "$apache_home_os/$one_file"
+	done
+	
+	/bin/cp "$apache_home_os/bin/apr-1-config.in" "$apache_home_os/bin/apr-1-config"
+	
+	/bin/cp "$apache_home_os/bin/apu-1-config.in" "$apache_home_os/bin/apu-1-config"
+	
+	/bin/cp "$apache_home_os/build/config_vars.mk.in" "$apache_home_os/build/config_vars.mk"
+	
 # replace template files with active versions. The following will generate a httpd.conf
 # file with placeholder strings, all of which we'll replace shortly hereafter.
-    bash "$apache_home_os/install-bindist.sh" "$apache_home_os"
-    
-    log4jprop=$GSDLHOME/lib/java/log4j.properties
-    sed "s^@gsdl2home@^$GSDLHOME^g" "$log4jprop.in" > "$log4jprop"
-
-    for one_file in gs2-server.app gli.app client-gli.app gems.app ; do 
-	if test -e "$one_file/Contents/document.wflow" ; then
-	    rm -f "$one_file/Contents/document.wflow"
-	fi
-    done
-
-    configure-web $1
+	bash "$apache_home_os/install-bindist.sh" "$apache_home_os"
+	
+	log4jprop=$GSDLHOME/lib/java/log4j.properties
+	sed "s^@gsdl2home@^$GSDLHOME^g" "$log4jprop.in" > "$log4jprop"
+	
+	for one_file in gs2-server.app gli.app client-gli.app gems.app ; do 
+	    if test -e "$one_file/Contents/document.wflow" ; then
+		rm -f "$one_file/Contents/document.wflow"
+	    fi
+	done
+	
+	configure-web $1
+    fi
 }
 