Index: gs3-extensions/audioDB/trunk/src/CASCADE-MAKE.sh
===================================================================
--- gs3-extensions/audioDB/trunk/src/CASCADE-MAKE.sh	(revision 24311)
+++ gs3-extensions/audioDB/trunk/src/CASCADE-MAKE.sh	(revision 24311)
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+source devel.bash
+
+for d in packages ; do
+    echo "Running $d/CASCADE-MAKE.sh"
+
+    (cd $d ; ./CASCADE-MAKE.sh $*)
+
+    if [ $? != 0 ] ; then
+        echo "Error encountered running $d/CASCADE-MAKE.sh"
+        exit 1
+    fi
+done
+
+if [ $makedist = "1"  ] ; then
+  default_toplevel_make_dist $GSDLOS devel.bash
+fi
Index: gs3-extensions/audioDB/trunk/src/devel.bash
===================================================================
--- gs3-extensions/audioDB/trunk/src/devel.bash	(revision 24311)
+++ gs3-extensions/audioDB/trunk/src/devel.bash	(revision 24311)
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+if [ -d cascade-make ] ; then
+  source cascade-make/lib/cascade-lib.bash GEXT_AUDIODB . $*
+fi
+
+if [ -z $GEXT_AUDIODB ] ; then
+  source setup.bash
+fi
+
+if [ -z $GEXTAUDIODB_DEVEL ] ; then
+    # Set environment variable so we can tell devel.bash has been sourced
+    export GEXTAUDIODB_DEVEL=$GEXT_AUDIODB
+    
+    export PATH="$GEXTAUDIODB_INSTALLED/bin:$PATH"
+    export CFLAGS="-I$GEXTAUDIODB_INSTALLED/include $CFLAGS"
+    export CPPFLAGS="-I$GEXTAUDIODB_INSTALLED/include $CPPFLAGS"
+    export CXXFLAGS="-I$GEXTAUDIODB_INSTALLED/include $CXXFLAGS"
+    export LDFLAGS="-L$GEXTAUDIODB_INSTALLED/lib $LDFLAGS"
+    export PKG_CONFIG_PATH="$GEXTAUDIODB_INSTALLED/lib/pkgconfig:$PKG_CONFIG_PATH"
+    
+    echo "+Your environment is now setup to compile with the audioDB Support Library"
+
+else
+    echo "+Your environment is already setup to compile with the audioDB Support Library"
+fi
Index: gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE.sh
===================================================================
--- gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE.sh	(revision 24311)
+++ gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE.sh	(revision 24311)
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB .. $*
+
+for d in GSOAP GENGETOPT; do
+    echo "    Running CASCADE-MAKE/$d.sh"
+
+    ./CASCADE-MAKE/$d.sh $*
+
+    if [ $? != 0 ] ; then
+	echo "Error encountered running CASCADE-MAKE/$d.sh"
+	exit 1
+    fi
+done
Index: gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/GENGETOPT.sh
===================================================================
--- gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/GENGETOPT.sh	(revision 24311)
+++ gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/GENGETOPT.sh	(revision 24311)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+package=gengetopt
+version=-2.18
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB ../.. $*
+
+prefix=$GEXTAUDIODB_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CPPFLAGS="$CPPFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTAUDIODB_INSTALLED/lib"
+
+echo GSDLOS = $GSDLOS
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/GSOAP.sh
===================================================================
--- gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/GSOAP.sh	(revision 24311)
+++ gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/GSOAP.sh	(revision 24311)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+package=gsoap
+version=-2.8.3
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB ../.. $*
+
+prefix=$GEXTAUDIODB_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CPPFLAGS="$CPPFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTAUDIODB_INSTALLED/lib"
+
+echo GSDLOS = $GSDLOS
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/audioDB/trunk/src/setup.bash
===================================================================
--- gs3-extensions/audioDB/trunk/src/setup.bash	(revision 24311)
+++ gs3-extensions/audioDB/trunk/src/setup.bash	(revision 24311)
@@ -0,0 +1,53 @@
+
+extdesc="the audioDB Extension"
+
+full_setup=`pwd`/${BASH_SOURCE}
+fulldir=${full_setup%/*}
+fulldir=${fulldir%/.}
+
+if test -z $GSDLOS ; then
+  GSDLOS=`uname -s | tr '[A-Z]' '[a-z]'`
+  # check for running bash under Cygwin
+  if test "`echo $GSDLOS | sed 's/cygwin//'`" != "$GSDLOS" ;
+  then
+    GSDLOS=windows
+  fi
+  # check for running bash under MinGW/MSys
+  if test "`echo $GSDLOS | sed 's/mingw//'`" != "$GSDLOS" ;
+  then
+    GSDLOS=windows
+  fi
+  echo "GSDLOS was not set.  Setting it to '$GSDLOS'"
+  export GSDLOS
+fi
+	
+
+if [ "x$GEXT_AUDIODB" = "x" ] ; then
+  export GEXT_AUDIODB=`pwd`
+  export GEXTAUDIODB_INSTALLED=$GEXT_AUDIODB/$GSDLOS
+
+  if [ -d "$GEXT_AUDIODB/bin/script" ] ; then
+    export PATH=$GEXT_AUDIODB/bin/script:$PATH
+  fi
+
+  if [ -d "$GEXT_AUDIODB/lib" ] ; then
+    if [ "$GSDLOS" = "linux" ] ; then
+      export LD_LIBRARY_PATH=$GEXT_AUDIODB/lib:$LD_LIBRARY_PATH
+    elif [ "$GSDLOS" = "darwin" ] ; then
+      export DYLD_LIBRARY_PATH=$GEXT_AUDIODB/lib:$DYLD_LIBRARY_PATH
+    fi
+  fi
+
+  extdir=${GEXT_AUDIODB##*/}
+
+  if [ "x$GSDLEXTS" = "x" ] ; then
+    export GSDLEXTS=$extdir
+  else 
+    export GSDLEXTS=$GSDLEXTS:$extdir
+  fi
+
+
+  echo "+Your environment is now setup for $extdesc"
+else
+  echo "+Your environment is already setup for $extdesc"
+fi
Index: gs3-extensions/audioDB/trunk/src/setup.bat
===================================================================
--- gs3-extensions/audioDB/trunk/src/setup.bat	(revision 24311)
+++ gs3-extensions/audioDB/trunk/src/setup.bat	(revision 24311)
@@ -0,0 +1,62 @@
+@echo off
+pushd "%CD%"
+CD /D "%~dp0"
+
+set extdesc=the audioDB Extension
+
+if "%OS%" == "Windows_NT" goto WinNT
+if "%OS%" == "" goto Win95
+if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
+if "%GSDLLANG%" == "es" echo No se pudo realizar la configuraci¢n - no se ha establecido la RUTA.
+if "%GSDLLANG%" == "fr" echo Echc de l'installation - votre variable PATH n'a pas t ajuste
+if "%GSDLLANG%" == "ru" echo áâ ­®¢ª  ­¥ ã€ « áì -  ­¥ ¡ë« ãáâ ­®¢«¥­
+goto End
+
+:WinNT
+set GEXT_AUDIODB=%CD%
+set PATH=%GEXT_AUDIODB%\bin\script;%PATH%
+set PATH=%GEXT_AUDIODB%\lib;%PATH%
+set GS_CP_SET=yes
+goto Success
+
+:Win95
+if "%1" == "SetEnv" goto Win95Env
+REM We'll invoke a second copy of the command processor to make
+REM sure there's enough environment space
+COMMAND /E:2048 /K %0 SetEnv
+goto End
+
+:Win95Env
+set GEXT_AUDIODB=%CD%
+set PATH="%GEXT_AUDIODB%\bin\script";"%PATH%"
+set PATH="%GEXT_AUDIODB%\lib";"%PATH%"
+set GS_CP_SET=yes
+goto Success
+
+:Success
+
+set fulldir=%~dp0
+
+:: strip off everything up to (and including) ext dir
+set extdir=%fulldir:*ext\=%
+
+:: remove trailing slash
+set extdir=%extdir:\=%
+
+setlocal enabledelayedexpansion
+if "x%GSDLEXTS%" == "x" (
+  set GSDLEXTS=!extdir!
+) else (
+  set GSDLEXTS=!GSDLEXTS!:!extdir!
+)
+endlocal & set GSDLEXTS=%GSDLEXTS%
+
+echo +Your environment is now setup for %extdesc%
+
+:: Back to delayed expansion to avoid problems with environment
+:: variables with brackets in them, such as "Program Files (x86)"
+
+
+:End
+
+popd