Index: /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE.sh
===================================================================
--- /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE.sh	(revision 24314)
+++ /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE.sh	(revision 24315)
@@ -3,5 +3,5 @@
 source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB .. $*
 
-for d in GSOAP GENGETOPT; do
+for d in GSOAP GENGETOPT GSL HELP2MAN FFTW LIBSNDFILE ; do
     echo "    Running CASCADE-MAKE/$d.sh"
 
Index: /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/FFTW.sh
===================================================================
--- /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/FFTW.sh	(revision 24315)
+++ /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/FFTW.sh	(revision 24315)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+package=fftw
+version=-3.2.2
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB ../.. $*
+
+prefix=$GEXTAUDIODB_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CPPFLAGS="$CPPFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTAUDIODB_INSTALLED/lib"
+
+echo GSDLOS = $GSDLOS
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/GSL.sh
===================================================================
--- /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/GSL.sh	(revision 24315)
+++ /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/GSL.sh	(revision 24315)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+package=gsl
+version=-1.10
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB ../.. $*
+
+prefix=$GEXTAUDIODB_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CPPFLAGS="$CPPFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTAUDIODB_INSTALLED/lib"
+
+echo GSDLOS = $GSDLOS
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/HELP2MAN.sh
===================================================================
--- /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/HELP2MAN.sh	(revision 24315)
+++ /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/HELP2MAN.sh	(revision 24315)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+package=help2man
+version=-1.36.4
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB ../.. $*
+
+prefix=$GEXTAUDIODB_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CPPFLAGS="$CPPFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTAUDIODB_INSTALLED/lib"
+
+echo GSDLOS = $GSDLOS
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix --disable-nls
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/LIBSNDFILE.sh
===================================================================
--- /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/LIBSNDFILE.sh	(revision 24315)
+++ /gs3-extensions/audioDB/trunk/src/packages/CASCADE-MAKE/LIBSNDFILE.sh	(revision 24315)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+package=libsndfile
+version=-1.0.25
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB ../.. $*
+
+prefix=$GEXTAUDIODB_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CPPFLAGS="$CPPFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTAUDIODB_INSTALLED/lib"
+
+echo GSDLOS = $GSDLOS
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+opt_run_make $compile $package $version
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+