Index: gs3-extensions/audioDB/trunk/src/src/CASCADE-MAKE.sh
===================================================================
--- gs3-extensions/audioDB/trunk/src/src/CASCADE-MAKE.sh	(revision 24320)
+++ gs3-extensions/audioDB/trunk/src/src/CASCADE-MAKE.sh	(revision 24320)
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB .. $*
+ 
+for d in AUDIODB FFTEXTRACT ; do
+    echo "    Running CASCADE-MAKE/$d.sh"
+
+    ./CASCADE-MAKE/$d.sh $*
+
+    if [ $? != 0 ] ; then
+	echo "Error encountered running CASCADE-MAKE/$d.sh"
+	exit 1
+    fi
+done
Index: gs3-extensions/audioDB/trunk/src/src/CASCADE-MAKE/AUDIODB.sh
===================================================================
--- gs3-extensions/audioDB/trunk/src/src/CASCADE-MAKE/AUDIODB.sh	(revision 24320)
+++ gs3-extensions/audioDB/trunk/src/src/CASCADE-MAKE/AUDIODB.sh	(revision 24320)
@@ -0,0 +1,69 @@
+#!/bin/bash
+
+package=audioDB
+version=-QM-svn
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB ../.. $*
+
+prefix=$GEXTAUDIODB_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CPPFLAGS="$CPPFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTAUDIODB_INSTALLED/lib"
+
+echo GSDLOS = $GSDLOS
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+echo "*** force_untar = $force_untar"
+echo "*** auto_config = $auto_config"
+
+##if [ $force_untar = "1" ] ; then
+if [ $auto_config = "1" ] ; then
+  if [ -d $package$version ] ; then
+
+    if [ ! -f audioDB-QM-svn/configure.ac ] ; then
+      echo "Copying audioDB-configure.ac to audioDB-QM-snv/configure.ac"
+      /bin/cp audioDB-configure.ac audioDB-QM-svn/configure.ac
+    fi
+
+    if [ ! -f audioDB-QM-svn/configure ] ; then
+      echo "Copying audioDB-configure to audioDB-QM-snv/configure"
+      /bin/cp audioDB-configure audioDB-QM-svn/configure
+    fi
+
+    if [ ! -f audioDB-QM-svn/Makefile.in ] ; then
+      echo "Copying audioDB-Makefile.in to audioDB-QM-snv/Makefile.in"
+      /bin/cp audioDB-Makefile.in audioDB-QM-svn/Makefile.in
+    fi
+
+    if [ ! -f audioDB-QM-svn/config.h.in ] ; then
+      echo "Creating empty audioDB-QM-snv/config.h.in"
+      touch audioDB-QM-svn/config.h.in
+    fi
+
+  fi
+fi
+
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+
+opt_run_make $compile $package $version \
+  GENGETOPT=$GEXTAUDIODB_INSTALLED/bin/gengetopt \
+  SOAPCPP2=$GEXTAUDIODB_INSTALLED/bin/soapcpp2 \
+  GSOAP_CPP=$GEXT_AUDIODB/packages/gsoap-2.8,3/gsoap/stdsoap2.cpp
+
+
+#  GSOAP_INCLUDE="-I /path/to/gsoap" \
+#  GSL_INCLUDE'"-I /path/to/gsl/"
+#  LIBGSL="-L/path/to/libgsl/libraries -lgsl -lgslcblas"
+
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+
Index: gs3-extensions/audioDB/trunk/src/src/CASCADE-MAKE/FFTEXTRACT.sh
===================================================================
--- gs3-extensions/audioDB/trunk/src/src/CASCADE-MAKE/FFTEXTRACT.sh	(revision 24320)
+++ gs3-extensions/audioDB/trunk/src/src/CASCADE-MAKE/FFTEXTRACT.sh	(revision 24320)
@@ -0,0 +1,68 @@
+#!/bin/bash
+
+package=fftExtract
+version=-QM-svn
+
+progname=$0
+
+source ../cascade-make/lib/cascade-lib.bash GEXT_AUDIODB ../.. $*
+
+prefix=$GEXTAUDIODB_INSTALLED
+
+export CFLAGS="$CFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CPPFLAGS="$CPPFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export CXXFLAGS="$CXXFLAGS -I$GEXTAUDIODB_INSTALLED/include"
+export LDFLAGS="$LDFLAGS -L$GEXTAUDIODB_INSTALLED/lib"
+
+echo GSDLOS = $GSDLOS
+
+opt_run_untar $force_untar $auto_untar $package $version
+
+##if [ $force_untar = "1" ] ; then
+if [ $auto_config = "1" ] ; then
+  if [ -d $package$version ] ; then
+
+    if [ ! -f fftExtract-QM-svn/configure.ac ] ; then
+      echo "Copying audioDB-configure.ac to fftExtract-QM-snv/configure.ac"
+      /bin/cp audioDB-configure.ac fftExtract-QM-svn/configure.ac
+    fi
+
+    if [ ! -f fftExtract-QM-svn/configure ] ; then
+      echo "Copying audioDB-configure to fftExtract-QM-snv/configure"
+      /bin/cp audioDB-configure fftExtract-QM-svn/configure
+    fi
+
+    if [ ! -f fftExtract-QM-svn/Makefile.in ] ; then
+      echo "Copying audioDB-Makefile.in to fftExtract-QM-snv/Makefile.in"
+      /bin/cp audioDB-Makefile.in fftExtract-QM-svn/Makefile.in
+    fi
+
+    if [ ! -f fftExtract-QM-svn/config.h.in ] ; then
+      echo "Creating empty fftExtract-QM-snv/config.h.in"
+      touch fftExtract-QM-svn/config.h.in
+    fi
+
+  fi
+fi
+
+opt_run_configure $force_config $auto_config $package $version $prefix
+
+
+opt_run_make $compile $package $version 
+
+
+#  GENGETOPT=$GEXTAUDIODB_INSTALLED/bin/gengetopt \
+#  SOAPCPP2=$GEXTAUDIODB_INSTALLED/bin/soapcpp2 \
+#  GSOAP_CPP=$GEXT_AUDIODB/packages/gsoap-2.8,3/gsoap/stdsoap2.cpp
+
+
+#  GSOAP_INCLUDE="-I /path/to/gsoap" \
+#  GSL_INCLUDE'"-I /path/to/gsl/"
+#  LIBGSL="-L/path/to/libgsl/libraries -lgsl -lgslcblas"
+
+opt_run_make $install $package $version "install"
+opt_run_make $clean $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
+